org.apache.hc.client5.http.config

## Class TlsConfig

- java.lang.Object
- - org.apache.hc.client5.http.config.TlsConfig

- All Implemented Interfaces:
    Cloneable

      @Contract(threading=IMMUTABLE)
      public class TlsConfig
      extends Object
      implements Cloneable

  Immutable class encapsulating TLS protocol settings.
  Since:
    5.2

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TlsConfig.Builder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TlsConfig` | `DEFAULT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TlsConfig()` Intended for CDI compatibility

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected TlsConfig` | `clone()`
    `static TlsConfig.Builder` | `copy(TlsConfig config)`
    `static TlsConfig.Builder` | `custom()`
    `org.apache.hc.core5.util.Timeout` | `getHandshakeTimeout()`
    `org.apache.hc.core5.http2.HttpVersionPolicy` | `getHttpVersionPolicy()`
    `String[]` | `getSupportedCipherSuites()`
    `String[]` | `getSupportedProtocols()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final TlsConfig DEFAULT

  - ### Constructor Detail

    - #### TlsConfig

          protected TlsConfig()

      Intended for CDI compatibility

  - ### Method Detail

    - #### getHandshakeTimeout

          public org.apache.hc.core5.util.Timeout getHandshakeTimeout()

      See Also:
        `TlsConfig.Builder.setHandshakeTimeout(Timeout)`

    - #### getSupportedProtocols

          public String[] getSupportedProtocols()

      See Also:
        `TlsConfig.Builder.setSupportedProtocols(String...)`

    - #### getSupportedCipherSuites

          public String[] getSupportedCipherSuites()

      See Also:
        `TlsConfig.Builder.setSupportedCipherSuites(String...)`

    - #### getHttpVersionPolicy

          public org.apache.hc.core5.http2.HttpVersionPolicy getHttpVersionPolicy()

      See Also:
        `TlsConfig.Builder.setVersionPolicy(HttpVersionPolicy)`

    - #### clone

          protected TlsConfig clone()
                             throws CloneNotSupportedException

      Overrides:
        `clone` in class `Object`
      Throws:
        `CloneNotSupportedException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### custom

          public static TlsConfig.Builder custom()

    - #### copy

          public static TlsConfig.Builder copy(TlsConfig config)

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.